%{?scl:%scl_package cfme}
%{!?scl:%global pkg_name %{name}}

%global app_root /var/www/miq/vmdb
%global doc_root %{_datadir}/%{name}-doc
%global debug_package %{nil}

Name:     cfme
Version:  5.11.3.1
Release:  1%{?dist}
Summary:  CloudForms Management Engine

Group:    Applications/System
License:  Unknown
URL:      https://github.com/ManageIQ/manageiq
Source0:  %{name}-%{version}.tar.gz

# Ruby
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems)

Requires: cfme-gemset = %{version}

Requires: ansible
Requires: ansible-runner
Requires: ansible-tower-venv-ansible
Requires: cockpit
Requires: cockpit-ssh
Requires: cockpit-ws
Requires: insights-client
Requires: net-snmp
Requires: net-snmp-libs
Requires: net-snmp-utils
Requires: redhat-support-tool
Requires: socat

# Chinese and Japanese fonts for PDF reports
Requires: prince
Requires: google-noto-sans-cjk-ttc-fonts
Requires: google-noto-serif-cjk-ttc-fonts

%description
CloudForms Management Engine

%prep
%setup -q

%build

%pre

%pretrans -p <lua>
if posix.access('/bin/evmserver.sh', 'x') then
  local pid = posix.fork ()
  if ( pid == -1 ) then
    print ("The fork failed.")
  elseif ( pid == 0 ) then
    posix.exec('/bin/evmserver.sh', 'update_stop')
  else
    posix.wait(pid)
  end
end

%posttrans -p <lua>
if posix.access('/bin/evmserver.sh', 'x') then
  local pid = posix.fork ()
  if ( pid == -1 ) then
    print ("The fork failed.")
  elseif ( pid == 0 ) then
    posix.exec('/bin/evmserver.sh', 'update_start')
  else
    posix.wait(pid)
  end
end

%install

%{__mkdir} -p %{buildroot}%{app_root}
%{__cp} -r * %{buildroot}%{app_root}

%post
%{__cp} -f %{app_root}/config/cable.yml.sample %{app_root}/config/cable.yml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{app_root}
%config(noreplace) %{app_root}/certs/*
%config(noreplace) %{app_root}/public/custom.css

%changelog
* Tue Feb 11 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.3.1-1
- 5.11.3.1-1 build

* Mon Feb 10 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.3.0-1
- 5.11.3.0-1 build

* Thu Jan 30 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.2.2-1
- 5.11.2.2-1 build

* Fri Jan 24 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.2.1-1
- 5.11.2.1-1 build

* Mon Jan 13 2020 Satoe Imaishi <simaishi@redhat.com> - 5.11.2.0-1
- 5.11.2.0-1 build

* Wed Dec 04 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.1.2-1
- 5.11.1.2-1 build

* Fri Nov 22 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.1.1-1
- 5.11.1.1-1 build

* Wed Nov 06 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.1.0-1
- 5.11.1.0-1 build

* Tue Nov 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.28-1
- 5.11.0.28-1 build

* Tue Oct 01 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.27-1
- 5.11.0.27-1 build

* Tue Sep 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.26-1
- 5.11.0.26-1 build

* Fri Sep 13 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.25-1
- 5.11.0.25-1 build

* Wed Sep 11 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.24-1
- 5.11.0.24-1 build

* Wed Sep 04 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.23-1
- 5.11.0.23-1 build

* Tue Aug 27 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.22-1
- 5.11.0.22-1 build

* Wed Aug 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.21-1
- 5.11.0.21-1 build

* Tue Aug 20 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.20-1
- 5.11.0.20-1 build

* Tue Aug 13 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.19-1
- 5.11.0.19-1 build

* Tue Aug 06 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.18-1
- 5.11.0.18-1 build

* Tue Jul 30 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.17-1
- 5.11.0.17-1 build

* Wed Jul 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.16-1
- 5.11.0.16-1 build

* Thu Jul 18 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.15-1
- 5.11.0.15-1 build

* Wed Jul 10 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.14-1
- 5.11.0.14-1 build

* Fri Jul 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.13-1
- 5.11.0.13-1 build

* Wed Jul 03 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.12-1
- 5.11.0.12-1 build

* Tue Jun 25 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.11-1
- 5.11.0.11-1 build

* Wed Jun 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.10-1
- 5.11.0.10-1 build

* Tue Jun 11 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.8-1
- 5.11.0.8-1 build

* Wed Jun 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.7-1
- 5.11.0.7-1 build

* Tue May 28 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.6-1
- 5.11.0.6-1 build

* Tue May 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.5-1
- 5.11.0.5-1 build

* Tue May 14 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.4-1
- 5.11.0.4-1 build

* Tue May 07 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.3-1
- 5.11.0.3-1 build

* Tue Apr 30 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.2-1
- 5.11.0.2-1 build

* Wed Apr 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.1-1
- 5.11.0.1-1 build

* Mon Mar 11 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.0-1
- 5.11.0.0-1 build
